from argparse import ArgumentParser

parser = ArgumentParser()

distance_to_travel = 0

parser.add_argument('--distance', dest='distance_to_travel', type=float, help='The distance you will travel')

parser.add_argument('--speed-limit', type=int, help='The speed limit on the road', default=70)

arguments=parser.parse_args()

if not arguments.distance_to_travel:
    distance_to_travel = float(input('How far are you going? '))
else:
    distance_to_travel = arguments.distance_to_travel

if not arguments.speed_limit:
    speed_limit = float(input('What is the speed limit? '))
else:
    speed_limit = arguments.speed_limit
    
minutes_to_save = float(input('How many minutes do you want to save? '))

numerator = (speed_limit * minutes_to_save * speed_limit) / (distance_to_travel * 60)
denominator = 1 - (speed_limit * minutes_to_save) / (distance_to_travel * 60)

new_speed = (numerator / denominator) + speed_limit

print ('You should go', new_speed, 'to save', minutes_to_save, 'minutes over going', speed_limit, end=' ')
print ('when traveling', distance_to_travel, 'miles')
